/*******************************************************************************
 * Copyright (c) 2018 Renesas Electronics Corporation. All rights reserved.
 *
 * DESCRIPTION   : Dummy FW vector table
 ******************************************************************************/

	.global	code_start

	.section ".reset"
	.align	512
	.align 16
_start:
	jr32	code_start	//RESET
	.align 16
	jr32	_Dummy		//SYSERR
	.align 16
	jr32	_Dummy		//HVTRAP
	.align 16
	jr32	_Dummy		//FETRAP
	.align 16
	jr32	_Dummy		//TRAP0
	.align 16
	jr32	_Dummy		//TRAP1
	.align 16
	jr32	_Dummy		//RIE
	.align 16
	jr32	_Dummy		//FPP/FPI
	.align 16
	jr32	_Dummy		//UCPOP
	.align 16
	jr32	_Dummy		//MIP/MDP
	.align 16
	jr32	_Dummy		//PIE
	.align 16
	jr32	_Dummy		//Debug
	.align 16
	jr32	_Dummy		//MAE
	.align 16
	jr32	_Dummy		//(R.F.U)
	.align 16
	jr32	_Dummy		//FENMI
	.align 16
	jr32	_Dummy		//FEINT
	.align 16
	jr32	_Dummy		//INTn(priority0)
	.align 16
	jr32	_Dummy		//INTn(priority1)
	.align 16
	jr32	_Dummy		//INTn(priority2)
	.align 16
	jr32	_Dummy		//INTn(priority3)
	.align 16
	jr32	_Dummy		//INTn(priority4)
	.align 16
	jr32	_Dummy		//INTn(priority5)
	.align 16
	jr32	_Dummy		//INTn(priority6)
	.align 16
	jr32	_Dummy 		//INTn(priority7)
	.align 16
	jr32	_Dummy		//INTn(priority8)
	.align 16
	jr32	_Dummy		//INTn(priority9)
	.align 16
	jr32	_Dummy		//INTn(priority10)
	.align 16
	jr32	_Dummy		//INTn(priority11)
	.align 16
	jr32	_Dummy		//INTn(priority12)
	.align 16
	jr32	_Dummy		//INTn(priority13)
	.align 16
	jr32	_Dummy		//INTn(priority14)
	.align 16
	jr32	_Dummy		//INTn(priority15)

	.section ".EIINTTBL_ICU", const
	.align	512
	.rept	7
	.word	_Dummy_EI	//INTn
	.endr
	.word	_Dummy_EI	//OSTM0
	.rept	20
	.word	_Dummy_EI	//INTn
	.endr
	.word	_Dummy_EI	//_Dummy
	.word	_Dummy_EI	//_Dummy
	.rept	98
	.word	_Dummy_EI	//INTn
	.endr

	.section ".text"
	.align	2
_Dummy:
	br	_Dummy

_Dummy_EI:
	br	_Dummy_EI
